Layui 发布 1.0.3 导航增加二级菜单、select增强

未结贴
50 7177
当前版本之前的版本无缝兼容,可直接覆盖升级。

# v1.0.3 2016-11-10

* 集成 layer 3.0
* 重点增加导航菜单的二级菜单支持(水平导航和树形导航都支持)
* 表单select增加optgroup的分组支持
* 富文本编辑器新增获取选中内容的方法:layedit.getSelection(index)

* 修复layer模块无法使用layer.config的extend来加载拓展皮肤的bug
* 修复Tab选项卡与select的小冲突
* 修复Tab选项卡简洁模式与内容区域的导航的样式小冲突
* 修复Tab选项卡与内容区域的子Tab选项卡存在冲突的bug
* 修除表单组label标签、layDate与第三方框架(如Bootstrap)的样式冲突
* 修复flow流加载模块的的信息流,在设置isLazyimg:true时下拉报错的bug

* 表单select内容若超出最大宽度,则自适应宽度
* layui.js合并到layui.all.js中,也就是说,如果你不采用layui模块化规范,只需引入layui.all.js即可。

---

1.0.2更新日志:Layui 发布 1.0.2,修复多项BUG
  • 所罗门_赵 所罗门_赵
    2016-11-10 12:53:26
    沙发啊沙发啊沙发啊沙发啊
    2 回复
  • JaguarJack JaguarJack
    2016-11-10 13:06:59
    支持一下!期待1.5中[哈哈]
    1 回复
  • 贤心 贤心 (管理员)
    2016-11-10 13:53:04
    原始的select会被layui替换吧,你通常来说监听 form.on('select')即可。如果非layui的select,你需要在触发change事件时,操作原始的select的dom,然后执行 form.render('select');
    http://www.layui.com/doc/modules/form.html#render
    1 回复
  • 贤心 贤心 (管理员)
    2016-11-10 14:04:33
    @吴锋 看演示页面也会闪动吗?
    http://www.layui.com/demo/nav.html
    1 回复
  • 贝克汉狼 贝克汉狼 VIP0
    2016-11-10 13:11:20
    大赞。已经第一时间git
    0 回复
  • 花易折 花易折 VIP1
    2016-11-10 13:18:17
    支持一下[哈哈]
    0 回复
  • Fly_script Fly_script
    2016-11-10 13:19:07
    [good]
    0 回复
  • Twillight Twillight
    2016-11-10 13:21:30
    [心]
    0 回复
  • 狼烟 狼烟 VIP1
    2016-11-10 13:44:11
    弱弱的问下,select 怎么监听 change事件(或者说触发一下change事件,就跟jquery中的trigger一下,让form.on('select') 执行
    0 回复
  • 吴锋 吴锋 VIP0
    2016-11-10 13:58:56
    导航菜单鼠标经过,页面文字会有闪动
    0 回复
  • 狼烟 狼烟 VIP1
    2016-11-10 14:00:46
    @贤心 我懂你意思,但是现在的问题是,
    比如在jquery中 $('select').on('change'), 那么我可以用$('select').trigger('change')来触发,

    但是在layui中 form.on('select') 没有办法用代码触发,只能在页面上手动选择才可以。

    0 回复
  • 吴锋 吴锋 VIP0
    2016-11-10 14:06:22
    @贤心 http://yotuku.cn/link?url=VJ7v6gpgz&tk_plan=free&tk_storage=tietuku&tk_vuid=80df3fce-ecf0-4aaa-8ade-3bd0350f321c&tk_time=2016111014

    一样会闪,上传不了图,你点链接看图片。
    0 回复
  • 贤心 贤心 (管理员)
    2016-11-10 14:10:53
    @吴锋 额,什么浏览器?
    0 回复
  • 吴锋 吴锋 VIP0
    2016-11-10 14:13:41
    @贤心 MAC的QQ浏览器。使用内核 Chromium 50.0.2661.75,刚试了下直接用chrome没出现,可能是这浏览器问题。[汗]
    0 回复
  • 贤心 贤心 (管理员)
    2016-11-10 14:21:24
    @吴锋 好吧,回头我关注一下,居然用的QQ浏览器。。 [哼]
    0 回复
  • 阿舍 阿舍 VIP1
    2016-11-10 14:25:43
    屌飞了 [亲亲]
    0 回复
  • 贝克汉狼 贝克汉狼 VIP0
    2016-11-10 14:30:01
    @贤心 大神。现在qq浏览器内核是chrome的最新版
    0 回复
  • jkingzhu jkingzhu
    2016-11-10 14:51:58
    真棒,希望尽快出layerui带有datagrid功能的版本
    0 回复
  • Layui_初学者 Layui_初学者 VIP1
    2016-11-10 15:06:42
    提两个点:
    1、导航的二级菜单还差个选中效果哦?
    2、form表单元素的select 能不能带多一个参数? 就是获取当前选中的option的对象,

    暂时就提两个。[嘻嘻]
    0 回复
  • 石中玉 石中玉 VIP1
    2016-11-10 15:25:36
    这个富文本编辑器能否增加对手机端的适配。
    0 回复
  • 李化贝 李化贝
    2016-11-10 15:27:01
    多选框长的真别致, 太奇葩了!
    而且原工作方式是 input 后面跟上说明即可,现在非要删掉改成在 input 里面添加 title 属性?
    为了侵入而侵入吗?
    0 回复
  • 孟买 孟买 VIP3
    2016-11-10 15:47:58
    @贤心 会闪动 Chrome 版本 54.0.2840.71 (64-bit)
    0 回复
  • 宽哥 宽哥
    2016-11-10 16:03:33
    @贤心 二级菜单,展开时候,鼠标慢慢往下移动,当到达 动态效果条 的 时候 二级菜单就会消失
    0 回复
  • 夏朵儿 夏朵儿
    2016-11-10 16:21:57
    [给力] [奥特曼]
    0 回复
  • weijer weijer VIP2
    2016-11-10 17:12:59
    厉害word姐
    0 回复
  • Army Army VIP1
    2016-11-10 17:14:28
    1.5.0 图片可否让支持base64上传?
    0 回复
  • 伟大的脚丫 伟大的脚丫 VIP2
    2016-11-11 11:13:57
    @贤心 1.03版本的open 在不显示title的情况下打开后调整浏览器宽度,会出现关闭按钮切割的情况,请注意。 这是1.02下的正常显示情况

    这是1.03情况下,拖动窗口后,关闭按钮错误
    0 回复
  • 纸飞机 纸飞机 (管理员)
    2016-11-11 11:18:29
    layer 3.0的 iframe对这类关闭按钮没进行支持了
    0 回复
  • 伟大的脚丫 伟大的脚丫 VIP2
    2016-11-11 11:21:59
    @纸飞机 所以要保证iframe无标题显示正确的话,只能用2.X版本的了?
    0 回复
  • 纸飞机 纸飞机 (管理员)
    2016-11-11 11:23:21
    @伟大的脚丫 嗯,layer 3.x的版本在浏览器窗口低于1100px的时候,会出现你这个问题
    0 回复
近期热议
新版本只是短暂搁置,并非放弃 46
用layer弹出层没有效果为什么? 20
关于图片上传时 一直提示 “请对上传接口返回JSON字符” 14
等待Layui2.0的发布 13
layPage渲染失败 13
寻求高手做 PHP网站定制,PHP二次开发 前端,后端,功能 13
某些人,请自觉。。。 12
怎么修改 导航栏,选项卡等等的 颜色? 11
lay tab 怎么设置第一个不带关闭 其他的带关闭按钮 9
select选项选择后不能选取默认的请选择选项 9